apiVersion: apps/v1
kind: Deployment
metadata:
  name: emrv2-stag-frontend
spec:
  selector:
    matchLabels:
      app: emrv2-stag-frontend
      tier: frontend
      track: stable
  replicas: 1
  template:
    metadata:
      labels:
        app: emrv2-stag-frontend
        tier: frontend
        track: stable
    spec:
      containers:
        - name: emrv2-stag-frontend
          image: {{image}}
          ports:
            - name: http
              containerPort: 80
          env:
            - name: PROJECT_ID
              value: emr-v2
      imagePullSecrets:
        - name: ali-cr-imagepull-key